Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160508 - window-list applet 2.8.1 broke for xinerama displays
Summary: window-list applet 2.8.1 broke for xinerama displays
Keywords:
Status: CLOSED DUPLICATE of bug 161076
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libwnck
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 15:00 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-23 19:33:43 UTC


Attachments (Terms of Use)

Description Ray Strode [halfline] 2005-06-15 15:00:34 UTC
+++ This bug was initially created as a clone of Bug #138874 +++

Description of problem: There is a problem with the window-list applet
on dual-head machines. The issue may be a xinerama bug in metacity,
not completely sure, but I think its in the applet itself. I have a
dual-head machine. On the left most monitor I have a menu panel with
some assorted other applets and icons. There is no problem with this.
On the second monitor, at the top of the screen I have a panel with
just one running applet, the window-list applet. This applet only
shows windows that are started on the monitor on which the panel with
the window-list applet resides. If I have an open window on the left
most monitor I will not see it in the window list until it has been
dragged onto the right most montitor. The problem works the same if I
have a panel with the window-list applet on the left monitor running
the applet. 


Version-Release number of selected component (if applicable):

2.8.1

How reproducible:
100% reproducible on a xinerama desktop

Steps to Reproduce:
1. create a panel on the right monitor
2. install the window-list applet
3. fire up an application on the left monitor
4. Watch as it doesn't appear in the applet
5. Drag the window to the screen that has the running window-list
applet and suddenly it appears. Move it back and ouila it disappears
again.
  
Actual results:
missing windows in the applet.

Expected results:
I expect this to work the way it did under FC2. 

Additional info:


Note You need to log in before you can comment on or make changes to this bug.